## org.mariadb.jdbc.internal.com.read.resultset
Class ColumnInformation

    java.lang.Object
      org.mariadb.jdbc.internal.com.read.resultset.ColumnInformation

    public class ColumnInformation

extends Object

Constructor Summary
`ColumnInformation(Buffer buffer)` Read column information from buffer.
`ColumnInformation(ColumnType type)`

Method Summary
`static ColumnInformation` `create(String name, ColumnType type)` Constructor.
`String` `getCatalog()`
`short` `getCharsetNumber()`
`ColumnType` `getColumnType()`
`String` `getDb()`
`byte` `getDecimals()`
`int` `getDisplaySize()` Get column size.
`short` `getFlags()`
`long` `getLength()`
`String` `getName()`
`String` `getOriginalName()`
`String` `getOriginalTable()`
`long` `getPrecision()` Return metadata precision.
`String` `getTable()`
`boolean` `isBinary()`
`boolean` `isBlob()`
`boolean` `isMultipleKey()`
`boolean` `isNotNull()`
`boolean` `isPrimaryKey()`
`boolean` `isSigned()`
`boolean` `isUniqueKey()`
`boolean` `isZeroFill()`
`void` `setUnsigned()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColumnInformation

    public ColumnInformation(ColumnType type)

### ColumnInformation

    public ColumnInformation(Buffer buffer)

  Read column information from buffer.

  Parameters:
    `buffer` - buffer

Method Detail

### create

    public static ColumnInformation create(String name,
                                           ColumnType type)

  Constructor.

  Parameters:
    `name` - column name
    `type` - column type
  Returns:
    ColumnInformation

### getCatalog

    public String getCatalog()

### getDb

    public String getDb()

### getTable

    public String getTable()

### getOriginalTable

    public String getOriginalTable()

### getName

    public String getName()

### getOriginalName

    public String getOriginalName()

### getCharsetNumber

    public short getCharsetNumber()

### getLength

    public long getLength()

### getPrecision

    public long getPrecision()

  Return metadata precision.

  Returns:
    precision

### getDisplaySize

    public int getDisplaySize()

  Get column size.

  Returns:
    size

### getDecimals

    public byte getDecimals()

### getColumnType

    public ColumnType getColumnType()

### getFlags

    public short getFlags()

### isSigned

    public boolean isSigned()

### isNotNull

    public boolean isNotNull()

### isPrimaryKey

    public boolean isPrimaryKey()

### isUniqueKey

    public boolean isUniqueKey()

### isMultipleKey

    public boolean isMultipleKey()

### isBlob

    public boolean isBlob()

### setUnsigned

    public void setUnsigned()

### isZeroFill

    public boolean isZeroFill()

### isBinary

    public boolean isBinary()

Copyright © 2017. All rights reserved.